Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
expenses
List expenses
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/expenses \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/expenses"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/expenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "platform_id": "<string>",
        "document_number": "<string>",
        "currency_rate": 123,
        "memo": "<string>",
        "account_id": "<string>",
        "payment_mode": "<string>",
        "posted_date": "2023-11-07T05:31:56Z",
        "sub_total": 123,
        "tax_amount": 123,
        "total_discount": 123,
        "total_amount": 123,
        "contact_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "line_items": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "tracking_category_ids": [
              "<string>"
            ],
            "parent_id": "<string>",
            "item_id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "quantity": 123,
            "unit_amount": 123,
            "tax_amount": 123,
            "discount_amount": 123,
            "sub_total": 123,
            "total_amount": 123,
            "tax_id": "<string>",
            "account_id": "<string>",
            "variant_id": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "item": [
              {
                "rootfi_id": 123,
                "rootfi_created_at": "2023-11-07T05:31:56Z",
                "rootfi_updated_at": "2023-11-07T05:31:56Z",
                "platform_id": "<string>",
                "name": "<string>",
                "description": "<string>",
                "code": "<string>",
                "sku": "<string>",
                "price": 123,
                "quantity_on_hand": 123,
                "is_bill_item": true,
                "bill_item": "<unknown>",
                "is_invoice_item": true,
                "invoice_item": "<unknown>",
                "created_at": "2023-11-07T05:31:56Z",
                "updated_at": "2023-11-07T05:31:56Z",
                "variants": [
                  {
                    "rootfi_id": 123,
                    "rootfi_created_at": "2023-11-07T05:31:56Z",
                    "rootfi_updated_at": "2023-11-07T05:31:56Z",
                    "platform_id": "<string>",
                    "parent_id": "<string>",
                    "name": "<string>",
                    "sku": "<string>",
                    "price": 123,
                    "compare_at_price": 123,
                    "attributes": "<unknown>"
                  }
                ]
              }
            ],
            "tax": [
              {
                "rootfi_id": 123,
                "rootfi_created_at": "2023-11-07T05:31:56Z",
                "rootfi_updated_at": "2023-11-07T05:31:56Z",
                "platform_id": "<string>",
                "name": "<string>",
                "code": "<string>",
                "rate": 123,
                "tax_type": "<string>",
                "effective_tax_rate": 123,
                "total_tax_rate": 123,
                "components": "<unknown>",
                "jurisdiction": "<string>",
                "created_at": "2023-11-07T05:31:56Z",
                "updated_at": "2023-11-07T05:31:56Z"
              }
            ],
            "account": [
              {
                "rootfi_id": 123,
                "rootfi_created_at": "2023-11-07T05:31:56Z",
                "rootfi_updated_at": "2023-11-07T05:31:56Z",
                "platform_id": "<string>",
                "nominal_code": "<string>",
                "name": "<string>",
                "description": "<string>",
                "current_balance": 123,
                "sub_category": "<string>",
                "parent_account_id": "<string>",
                "updated_at": "2023-11-07T05:31:56Z"
              }
            ],
            "variant": [
              {
                "rootfi_id": 123,
                "rootfi_created_at": "2023-11-07T05:31:56Z",
                "rootfi_updated_at": "2023-11-07T05:31:56Z",
                "platform_id": "<string>",
                "parent_id": "<string>",
                "name": "<string>",
                "sku": "<string>",
                "price": 123,
                "compare_at_price": 123,
                "attributes": "<unknown>"
              }
            ]
          }
        ],
        "documents": [
          {
            "rootfi_id": 123,
            "rootfi_created_at": "2023-11-07T05:31:56Z",
            "rootfi_updated_at": "2023-11-07T05:31:56Z",
            "platform_id": "<string>",
            "file_name": "<string>",
            "file_type": "<string>",
            "file_size": 123,
            "document_type_id": "<string>",
            "document_uploaded": true,
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ]
      }
    ],
    "total_count": 123,
    "next": "<string>",
    "prev": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

expand
string

Comma-separated related resources to expand: line_items, documents.

status[eq]
string

Exact match on status.

status[in]
string

Comma-separated status values (OR match).

contact_id[eq]
string

Exact match on contact_id.

contact_id[in]
string

Comma-separated contact_id values (OR match).

currency_id[eq]
enum<string>

Exact match on currency_id.

Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BOV,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHE,
CHF,
CHW,
CLF,
CLP,
CNY,
COP,
COU,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MXV,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLE,
SOS,
SRD,
SSP,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
USN,
UYI,
UYU,
UYW,
UZS,
VED,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XBA,
XBB,
XBC,
XBD,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
XSU,
XTS,
XUA,
XXX,
YER,
ZAR,
ZMW,
ZWG
currency_id[in]
string

Comma-separated currency_id values (OR match).

document_number[eq]
string

Exact match on document_number.

document_number[in]
string

Comma-separated document_number values (OR match).

account_id[eq]
string

Exact match on account_id.

account_id[in]
string

Comma-separated account_id values (OR match).

payment_mode[eq]
string

Exact match on payment_mode.

payment_mode[in]
string

Comma-separated payment_mode values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

posted_date[eq]
string

Exact match on posted_date.

posted_date[in]
string

Comma-separated posted_date values (OR match).

posted_date[gte]
string

posted_date greater-than-or-equal.

posted_date[lte]
string

posted_date less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of expenses.

data
object
required
request_id
string
required